interactions:
- request:
    body: '{"messages": [{"role": "user", "content": "Hello, world!"}], "model": "gpt-4o-mini", "stream": false}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate
      connection:
      - keep-alive
      content-length:
      - '101'
      content-type:
      - application/json
      host:
      - api.openai.com
      user-agent:
      - OpenAI/Python 1.93.0
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 1.93.0
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.12.9
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-CJ5S5u2XXvtiwh4gVOH52ltP5dVTo\",\n  \"object\": \"chat.completion\",\n  \"created\": 1758665225,\n  \"model\": \"gpt-4o-mini-2024-07-18\",\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\": \"assistant\",\n        \"content\": \"Hello! How can I assist you today?\",\n        \"refusal\": null,\n        \"annotations\": []\n      },\n      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 11,\n    \"completion_tokens\": 9,\n    \"total_tokens\": 20,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\": {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\": 0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\": \"default\",\n  \"system_fingerprint\": \"fp_560af6e559\"\n}\n"
    headers:
      CF-RAY:
      - 983d5a594b3aeb25-SJC
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 23 Sep 2025 22:07:05 GMT
      Server:
      - cloudflare
      Set-Cookie:
      - __cf_bm=HTao4iMtx1Y7cAGNyFrt5yvSz1GD2Pm6qYe93_CGzyM-1758665225-1.0.1.1-3yRJ61Y_9h2sd..bejDbyV7tM6SGeXrd9KqDKytxcdazGRCBK_R28.PQiQdGW8fuL..e6zqa55.nvSwBRX8Q_dt8e5O3nuuPdeH7c8ClsWY; path=/; expires=Tue, 23-Sep-25 22:37:05 GMT; domain=.api.openai.com; HttpOnly; Secure; SameSite=None
      - _cfuvid=qMM2vmYkQMwPZcgLVycGtMt7L7zWfmHyTGlGgrbiDps-1758665225740-0.0.1.1-604800000; path=/; domain=.api.openai.com; HttpOnly; Secure; SameSite=None
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains; preload
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      access-control-expose-headers:
      - X-Request-ID
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - crewai-iuxna1
      openai-processing-ms:
      - '484'
      openai-project:
      - proj_xitITlrFeen7zjNSzML82h9x
      openai-version:
      - '2020-10-01'
      x-envoy-upstream-service-time:
      - '512'
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-project-tokens:
      - '150000000'
      x-ratelimit-limit-requests:
      - '30000'
      x-ratelimit-limit-tokens:
      - '150000000'
      x-ratelimit-remaining-project-tokens:
      - '149999995'
      x-ratelimit-remaining-requests:
      - '29999'
      x-ratelimit-remaining-tokens:
      - '149999995'
      x-ratelimit-reset-project-tokens:
      - 0s
      x-ratelimit-reset-requests:
      - 2ms
      x-ratelimit-reset-tokens:
      - 0s
      x-request-id:
      - req_b2beee084f8c4806b97c6880a7e596dd
    status:
      code: 200
      message: OK
version: 1
